HCL Commerce Developer

Setup prerequisites for HCL Commerce Developer

To set up HCL Commerce Developer, install the appropriate prerequisite software: Rational Application Developer, WebSphere Application Server, WebSphere Application Server Liberty, and the appropriate Java SDK version. You also need to prepare your IBM Db2 or Oracle development database.

If you do not have the software, download the necessary eAssemblies from HCL License and Delivery portal. For more information, see HCL Commerce eAssemblies.

Before installing HCL Commerce Developer software, ensure that your HCL Commerce development environment meets the hardware and software requirements.
Note: Coexistence with other versions of HCL Commerce Developer is not supported. If you are migrating, install HCL Commerce Developer Version 9.0 on a separate machine from your old WebSphere Commerce Developer Version.

Procedure